]> git.sur5r.net Git - bacula/bacula/commitdiff
Add incremental backup test
authorKern Sibbald <kern@sibbald.com>
Tue, 4 Nov 2003 10:15:49 +0000 (10:15 +0000)
committerKern Sibbald <kern@sibbald.com>
Tue, 4 Nov 2003 10:15:49 +0000 (10:15 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@797 91ce42f0-d328-0410-95d8-f526ca767f89

regress/all-non-root-tests
regress/tests/incremental-test [new file with mode: 0755]

index fd9a976a344d46fdb62570bb786115811df2d18d..c18ec02baa7159246e503f94ca75c97c8fe6e61a 100755 (executable)
@@ -23,6 +23,7 @@ tests/span-vol-test
 tests/restore-by-file-test
 tests/restore2-by-file-test
 tests/four-jobs-test
+tests/incremental-test
 echo " "
 echo " "
 echo "Test results"
diff --git a/regress/tests/incremental-test b/regress/tests/incremental-test
new file mode 100755 (executable)
index 0000000..a490714
--- /dev/null
@@ -0,0 +1,83 @@
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory then create some           
+#   new files, do an Incremental and restore those two files.
+#
+cwd=`pwd`
+scripts/copy-test-confs
+scripts/cleanup
+echo "${cwd}/tmp/build" >/tmp/file-list
+mkdir ${cwd}/tmp/build
+cp -p ${cwd}/build/src/dird/*.c ${cwd}/tmp/build
+cd ${cwd}/tmp
+echo "${cwd}/tmp/build/ficheriro1.txt" >restore-list
+echo "${cwd}/tmp/build/ficheriro2.txt" >>restore-list
+cd ${cwd}
+bin/bacula stop  2>&1 >/dev/null
+bin/drop_sqlite_tables
+bin/make_sqlite_tables
+
+echo " "
+echo " "
+echo " === Starting incremental-test ==="
+echo " === Starting incremental-test ===" >>working/log
+echo " "
+
+bin/bacula start 2>&1 >/dev/null
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@tee    tmp/log1.out
+label storage=File volume=TestVolume001
+label storage=File volume=TestVolume002
+run job=CompressedTest yes
+wait
+messages
+quit
+END_OF_DATA
+echo "ficheriro1.txt" >${cwd}/tmp/build/ficheriro1.txt
+echo "ficheriro2.txt" >${cwd}/tmp/build/ficheriro2.txt
+bin/console -c bin/console.conf <<END_OF_DATA
+@output /dev/null
+messages
+@tee    tmp/log1.out
+@# Force Incremental on the second Volume
+update volume=TestVolume001 VolStatus=Used
+run level=Incremental job=CompressedTest yes
+wait
+messages
+@# 
+@# now do a restore
+@#
+@tee    tmp/log2.out
+restore where=${cwd}/tmp/bacula-restores 
+7
+<${cwd}/tmp/restore-list
+
+yes
+wait
+messages
+@output
+quit
+END_OF_DATA
+bin/bacula stop 2>&1 >/dev/null
+grep "^Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+#
+# Delete .c files because we will only restored the txt files
+#
+rm -f tmp/build/*.c
+diff -r tmp/build tmp/bacula-restores${cwd}/tmp/build 2>&1 >/dev/null
+if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
+   echo " "
+   echo " "
+   echo "  !!!!! incremental-test Bacula source failed!!! !!!!! "
+   echo "  !!!!! incremental-test failed!!! !!!!! " >>test.out
+   echo " "
+else
+   echo "  ===== incremental-test Bacula source OK ===== "
+   echo "  ===== incremental-test OK ===== " >>test.out
+   scripts/cleanup
+fi